# BuildInitParameter

@Incubating
interface BuildInitParameter<T>

Represents a parameter that can be provided to a BuildInitSpec to configure it with custom information about this particular project to be generated.

#### Since

8.12

#### Parameters

<T>

The type of this parameter

## Functions

getName
Link copied to clipboard
abstract fun getName(): String
Returns the name of the parameter.
getParameterType
Link copied to clipboard
abstract fun getParameterType(): T
Returns the type of the parameter.